// automatically add numbering headlings
.mixin-numbered-headlines {
    // inspired by http://jsfiddle.net/Flocke/LJ66t/

    .content-container {
        counter-reset: level1;
        &>h1:not(.article-header) {
            counter-reset: level2;
            &:before {
                content: counter(level1) ". ";
                counter-increment: level1;
            }
        }
        &>h2 {
            counter-reset: level3;
            &:before {
                content: counter(level1) "." counter(level2) ". ";
                counter-increment: level2;
            }
        }
        &>h3:before {
            content: counter(level1) "." counter(level2) "." counter(level3) ". ";
            counter-increment: level3;
        }
    }

        counter-reset: level1;
        .h1-based {
            counter-reset: level2;
            &:before {
                content: counter(level1) ". ";
                counter-increment: level1;
            }
        }
        .h2-based {
            counter-reset: level3;
            &:before {
                content: counter(level1) "." counter(level2) ". ";
                counter-increment: level2;
            }
        }
        .h1-based, .h2-based {
            a {display: inline; }
        }
}

.mixing-truncate {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.mixin-headlines-font {
    // font and colors
    .headline {
        color: rgb(0, 136, 204);
        font-weight: 300;
    }
    h1 {
        font-size: 32px;
        line-height: 40px;
        @extend .headline;
    }
    h2 {
        font-size: 24px;
        line-height: 30px;
        @extend .headline;
    }
    h3 {
        font-size: 18px;
        line-height: 30px;
        @extend .headline;
    }
    h4 {
        font-size: 16px;
        line-height: 24px;
        @extend .headline;
    }
}
.mixin-headlines-spacing {
    h1 {
        margin: 0 0 11px 0;
        padding-top: 29px;
    }
    h2 {
        margin: 0 0 13px 0;
        padding-top: 27px;
    }
    h3 {
        margin: 0 0 11px 0;
        padding-top: 24px;
    }
    h4 {
        margin: 0 0 9px 0;
        padding-top: 20px;
    }
}
